Subject: Re: bug#24637: 25.1; non-ascii chars fail to render in Info buffer

From: Eli Zaretskii <[email-masked]>
Date: Fri, 07 Oct 2016 15:44:38 +0300

> From: ivan <[email-masked]>
> Date: Fri, 7 Oct 2016 08:13:37 -0400
> 
> - start emacs with -Q
> - open the emacs manual and start a search: C-h r s
> - search for a section with non-ascii chars: it requotes text typed<return>
> - the found sentence reads:
> > For example, it requotes text typed `like this' to text \342\200\230like this\342\200\231.
> - if correctly rendered, it would read:
> > For example, it requotes text typed `like this' to text ‘like this’.

I cannot reproduce this, so this might be something specific to OS X
(unlikely) or to your system.

The emacs.info file supplied with Emacs 25.1 should sets its encoding
to UTF-8 in the file-local variables section near its end.  Do you
have that in your emacs.info?

> If I select the text and write the region to a file, I can open that file and Emacs renders it correctly. I tried to
> remedy this by adding the following to my init file (and commenting out the rest of the file):
> 
> (prefer-coding-system 'utf-8)
> (set-default-coding-systems 'utf-8)
> (set-terminal-coding-system 'utf-8)
> (set-keyboard-coding-system 'utf-8)
> (setq default-buffer-file-coding-system 'utf-8)

This should not be required for reading UTF-8 encoded Info manuals.